<?php

include_once('item.php');
include_once('link.php');
include_once('data.php');
include_once('template.php');
include_once('query.php');
include_once('error.php');

class Collection {

    public $itens = array();
    public $href;
    public $error;
    public $pagination;
    public $queries = array();
    public $template;
    public $type;
    public $data = array();

    function __construct($config, $className) {
	foreach ($config as $key => $value) {
	    if ($value['class'] == $className) {
		$uri = $key;
		break;
	    }
	}
	$this->href = $uri;
    }

    function addItem($item) {
	$this->itens[] = $item;
    }
	
	function addData($data) {
	$this->data[] = $data;
    }

    function getData() {
	return $this->data;
    }
    
    function setTemplate($template) {
	$this->template = $template;
    }

    function getTemplate() {
	return $this->template;
    }

    function setType($type) {
	$this->type = $type;
    }

    function getType() {
	return $this->type;
    }

    function addQueries($queries) {
	$this->queries[] = $queries;
    }

    function getQueries() {
	return $this->queries;
    }

    function setError($error) {
	$this->error = $error;
    }

    function getError() {
	return $this->error;
    }

    function setPagination($pagination) {
	$this->pagination = $pagination;
    }

    function getPagination() {
	return $this->pagination;
    }

}

?>
